class Owner(object):
    def get_repos(self):
        raise NotImplementedError("Please Implement this method")

    @staticmethod
    def build_from_config():
        raise NotImplementedError("Please Implement this method")

    @staticmethod
    def builder(repo_type):
        from git_cloner.model.owner.github_owner import GithubOwner
        from git_cloner.model.repository import Repository

        if repo_type == Repository.GITHUB: return GithubOwner.build_from_config()
        raise RuntimeError("Invalid repository type")
