import os
import shutil


def set_test_dir(dir_path):
    old_path = os.getcwd()
    shutil.rmtree(dir_path, True)
    os.makedirs(dir_path)
    os.chdir(dir_path)
    return old_path


def restore_path(old_path, dir_path=None):
    if dir_path is not None:
        shutil.rmtree(dir_path, True)
    os.chdir(old_path)
